<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/

require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."slideshows_random_photo_panel/infusion_db.php";

if (!checkrights("SRPP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."slideshows_random_photo_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."slideshows_random_photo_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."slideshows_random_photo_panel/locale/English.php";
}

$set_result = dbquery("SELECT * FROM ".DB_SRPP_SETTINGS);
$set_data = dbarray($set_result);
if (isset($_REQUEST['action'])){
	$action = $_REQUEST['action'];
}else{
	$action = "";
}

openside ($locale['FOT_002']);
if (isset($_POST['save'])) {
	$type = $_POST['slideshow_type'];
	$time = $_POST['slideshow_time'];
	$items = $_POST['slideshow_items'];
	$text = $_POST['slideshow_text'];
	$colorcode = $_POST['slideshow_colorcode'];
	$result = dbquery("UPDATE ".DB_SRPP_SETTINGS." SET slideshow_type='$type', slideshow_time='$time', slideshow_items='$items', slideshow_text='$text', slideshow_colorcode='$colorcode' WHERE slideshow_id='1'");
	redirect (FUSION_SELF.$aidlink."&amp;action=save");
} else {
	echo ($action=='save'?'<center><b>'.$locale['FOT_003'].'</b></center><br  /><br  />':'');
	echo "<form name='inputform' method='post' action='".FUSION_SELF.$aidlink."'>";
	echo $locale['FOT_004']." <select name='slideshow_type' class='textbox'>";
	echo "<option value='slide-left' ".($set_data['slideshow_type']=='slide-left'?'selected':'').">".$locale['FOT_005']."</option>";
	//echo "<option value='slide-top' ".($set_data['slideshow_type']=='slide-top'?'selected':'').">".$locale['FOT_006']."</option>";
	echo "<option value='left-right' ".($set_data['slideshow_type']=='left-right'?'selected':'').">".$locale['FOT_007']."</option>";
	echo "<option value='up-down' ".($set_data['slideshow_type']=='up-down'?'selected':'').">".$locale['FOT_008']."</option>";
	echo "<option value='fade' ".($set_data['slideshow_type']=='fade'?'selected':'').">".$locale['FOT_009']."</option>";
	echo "<option value='carousel' ".($set_data['slideshow_type']=='carousel'?'selected':'').">".$locale['FOT_010']."</option>";
	echo "<option value='conveyor-belt' ".($set_data['slideshow_type']=='conveyor-belt'?'selected':'').">".$locale['FOT_011']."</option>";
	echo "<option value='RANDOM' ".($set_data['slideshow_type']=='RANDOM'?'selected':'').">".$locale['FOT_019']."</option>";
	echo "</select><br><br>";

	echo $locale['FOT_012']." <select name='slideshow_text' class='textbox'>";
	echo "<option value='0' ".($set_data['slideshow_text']=='0'?'selected':'').">".$locale['FOT_013']."</option>";
	echo "<option value='1' ".($set_data['slideshow_text']=='1'?'selected':'').">".$locale['FOT_014']."</option>";
	echo "</select><br><br>";

	echo $locale['FOT_015']." #<input name='slideshow_colorcode' type='text' value='".$set_data['slideshow_colorcode']."' class='textbox' style='width:40px'> <br><br>";

	echo $locale['FOT_020']." <input name='slideshow_time' type='text' value='".$set_data['slideshow_time']."' class='textbox' style='width:40px'> ".$locale['FOT_021']."<br><br>";
	echo $locale['FOT_030']." <input name='slideshow_items' type='text' value='".$set_data['slideshow_items']."' class='textbox' style='width:20px'> ".$locale['FOT_031']."<br><br>";
	echo "<center><input type='submit' name='save' value='".$locale['FOT_040']."' class='button' style='width:200px'></center><br>";
	echo "</form>";
}
closeside();

require_once THEMES."templates/footer.php";
?>